<?php 

require_once("../conexao.php");
$tabela = 'tarefas';

$postjson = json_decode(file_get_contents('php://input'), true);

$id = @$postjson['id'];
$id_user = @$postjson['user'];
$id_usu = @$postjson['idUsu'];
$titulo = @$postjson['titulo'];
$descricao = @$postjson['descricao'];
$hora = @$postjson['hora'];
$data = @$postjson['dataTar'];
$obs = @$postjson['obs'];

if($id_usu == ""){
	$id_usu = $id_user;
}

//validar cpf
$query = $pdo->query("SELECT * FROM $tabela where data = '$data' and hora = '$hora' and usuario = '$id_user'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_reg = @count($res);
if($total_reg > 0 and $res[0]['id'] != $id){
	$result = json_encode(array('mensagem'=>'Já possui uma tarefa nesse horário!', 'sucesso'=>false));
	echo $result;	
	exit();
}



if($id == "" || $id == "0"){
	$res = $pdo->prepare("INSERT INTO $tabela SET titulo = :titulo, descricao = :descricao, hora = '$hora', data = '$data', usuario = '$id_usu', usuario_lanc = '$id_user', status = 'Agendada', obs = :obs");
	$acao = 'inserção';

}else{
	$res = $pdo->prepare("UPDATE $tabela SET titulo = :titulo, descricao = :descricao, hora = '$hora', data = '$data', usuario_lanc = '$id_user', obs = :obs where id = '$id'");
	$acao = 'edição';
}


$res->bindValue(":titulo", "$titulo");
$res->bindValue(":descricao", "$descricao");
$res->bindValue(":obs", "$obs");
$res->execute();
$ult_id = $pdo->lastInsertId();


if(@$ult_id == "" || @$ult_id == 0){
	$ult_id = $id;
}

//inserir log
$id_usuario = $id_user;
$acao = $acao;
$descricao = $nome .' (App)';
$id_reg = $ult_id;
require_once("../../painel/inserir-logs.php");

$result = json_encode(array('mensagem'=>'Salvo com sucesso!', 'sucesso'=>true));

echo $result;

?>